<?php 
/**
------------------------------------------------------------------------
* Категории
*
* @application         PHPage Core
* @support             http://phpage.ru
* @copyright           Copyright (c) 2014 PHPage Group
* @author              http://phpage.ru/PHPage/Group
* @documentation       http://phpage.ru/documentation
* @license             http://phpage.ru/license.txt (see attached file)
* @instruction         http://phpage.ru/readme.txt (see attached file)
* @file                /system/controller/category.class.php
------------------------------------------------------------------------
*/

class category{
	public function index(){
		Template::head('Категории');
		Template::run(__CLASS__, 'index');
		Template::foot();
	}
	
	public function sites(){
		if(isset($_GET['get']) && Core::count("SELECT COUNT(*) FROM `category` WHERE `id` = ?", array($_GET['get'])) == true){
			$cat = Core::query("SELECT * FROM `category` WHERE `id` = ?", array($_GET['get'])) -> fetch();
			Template::head('Категория - '.Protect::title($cat['name']));
			Template::run(__CLASS__, 'sites');
			Template::foot();
		}else{
			Core::redirect('/category', 'Категория не найдена');
		}
	}
}
?>